| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::tracking::TrackerContribSamplerAlgorithm Class Referenceabstract
Tracking API » Tracking API implementation details

Abstract base class for TrackerContribSamplerAlgorithm that represents the algorithm for the specific sampler. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerContribSamplerAlgorithm:

## Public Member Functions
virtual | ~TrackerContribSamplerAlgorithm ()
| Destructor.
String | getClassName () const
| Get the name of the specific TrackerContribSamplerAlgorithm.
virtual bool | sampling (const Mat &image, const Rect &boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
| Computes the regions starting from a position in an image.
Public Member Functions inherited from cv::detail::tracking::TrackerSamplerAlgorithm
virtual | ~TrackerSamplerAlgorithm ()

## Static Public Member Functions
static Ptr< TrackerContribSamplerAlgorithm > | create (const String &trackerSamplerType)
| Create TrackerContribSamplerAlgorithm by tracker sampler type.

## Protected Member Functions
virtual bool | samplingImpl (const Mat &image, Rect boundingBox, std::vector< Mat > &sample)=0

## Protected Attributes
String | className

## Detailed Description

Abstract base class for TrackerContribSamplerAlgorithm that represents the algorithm for the specific sampler.

## Constructor & Destructor Documentation

## ◆ ~TrackerContribSamplerAlgorithm()

virtual cv::detail::tracking::TrackerContribSamplerAlgorithm::~TrackerContribSamplerAlgorithm | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ create()

static Ptr< TrackerContribSamplerAlgorithm > cv::detail::tracking::TrackerContribSamplerAlgorithm::create | ( | const String & | trackerSamplerType | ) |
| static

Create TrackerContribSamplerAlgorithm by tracker sampler type.

Parameters

  trackerSamplerType | The trackerSamplerType name

The modes available now:

- "CSC" – Current State Center
- "CS" – Current State

## ◆ getClassName()

String cv::detail::tracking::TrackerContribSamplerAlgorithm::getClassName | ( |  | ) | const

Get the name of the specific TrackerContribSamplerAlgorithm.

## ◆ sampling()

virtual bool cv::detail::tracking::TrackerContribSamplerAlgorithm::sampling | ( | const Mat & | image,
|  | const Rect & | boundingBox,
|  | std::vector< Mat > & | sample )
| virtual

Computes the regions starting from a position in an image.

Return true if samples are computed, false otherwise

Parameters

  image | The current frame
  boundingBox | The bounding box from which regions can be calculated
  sample | The computed samples [233] Fig. 1 variable Sk

Implements cv::detail::tracking::TrackerSamplerAlgorithm.

## ◆ samplingImpl()

virtual bool cv::detail::tracking::TrackerContribSamplerAlgorithm::samplingImpl | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample )
| protected pure virtual

Implemented in cv::detail::tracking::TrackerContribSamplerCSC, cv::detail::tracking::TrackerSamplerCS, and cv::detail::tracking::TrackerSamplerPF.

## Member Data Documentation

## ◆ className

String cv::detail::tracking::TrackerContribSamplerAlgorithm::className
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp